<div class="px-3 py-3">
  <nav class="nav nav-pills flex-column flex-sm-row">
    <a class="flex-sm-fill text-sm-center nav-link" (click)="setActive(0)" [ngClass]="{'active': activeTab === 0}">Charts</a>
  </nav>
</div>

<div class = "container-fluid" [hidden]="activeTab === 1">
  <div class="row p-5">
    <div class="col-sm text-center text-justify">
      <h1>KPIs</h1>
      <span class="d-block my-5">Total customers: {{customers.length}} </span>
      <span class="d-block my-5">Lost customers: {{lostCustomers.length}} </span>
      <span class="d-block my-5">Won customers: {{wonCustomers.length}} </span>
    </div>
    <div class="col-sm">
      <div id="chart"></div>
    </div>
    <div class="col-sm">
      <div id="gauge"></div>
    </div>
    <div class="col-sm">
      <div id="donut"></div>
    </div>
  </div>
  <div class="row p-5">
    <div class="col-sm">
      <table class="table">
        <thead class="thead-light">
          <tr>
            <th scope="col">#</th>
            <th scope="col">Total Users</th>
            <th scope="col">Active Users</th>
            <th scope="col">Health Score</th>
            <th scope="col">Location</th>
            <th scope="col">Messages Per Day</th>
            <th scope="col">Monthly Value</th>
            <th scope="col">Sector</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let customer of limitedCustomers, let i = index">
            <th scope="col">{{i}}</th>
            <th scope="col">{{customer.totalUsers}}</th>
            <th scope="col">{{customer.activeUsers}}</th>
            <th scope="col">{{customer.healthScore}}</th>
            <th scope="col">{{customer.location}}</th>
            <th scope="col">{{customer.messages}}</th>
            <th scope="col">{{customer.monthlyValue}}</th>
            <th scope="col">{{customer.sector}}</th>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
  <!-- PAGINATION TO DO -->
</div>
